org.eclipse.wst.jsdt.core

## Class JsGlobalScopeVariableInitializer

- java.lang.Object
- - org.eclipse.wst.jsdt.core.JsGlobalScopeVariableInitializer

    public abstract class JsGlobalScopeVariableInitializer
    extends java.lang.Object

Abstract base implementation of all includepath variable initializers. Includepath variable initializers are used in conjunction with the "org.eclipse.wst.jsdt.core.JsGlobalScopeVariableInitializer" extension point.

Clients should subclass this class to implement a specific includepath variable initializer. The subclass must have a public 0-argument constructor and a concrete implementation of `initialize`.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Constructor Summary

Constructors
Constructor and Description
`JsGlobalScopeVariableInitializer()` Creates a new includepath variable initializer.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `initialize(java.lang.String variable)` Binds a value to the workspace includepath variable with the given name, or fails silently if this cannot be done.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsGlobalScopeVariableInitializer

    public JsGlobalScopeVariableInitializer()

Creates a new includepath variable initializer.

### Method Detail

#### initialize

    public abstract void initialize(java.lang.String variable)

Binds a value to the workspace includepath variable with the given name, or fails silently if this cannot be done.

A variable initializer is automatically activated whenever a variable value is needed and none has been recorded so far. The implementation of the initializer can set the corresponding variable using `JavaScriptCore#setClasspathVariable`.

Parameters:
  `variable` - the name of the workspace includepath variable that requires a binding
See Also:
  `JavaScriptCore.getIncludepathVariable(String)`, `JavaScriptCore#setIncludepathVariable(String, org.eclipse.core.runtime.IPath, org.eclipse.core.runtime.IProgressMonitor)`, `JavaScriptCore#setIncludepathVariables(String[], org.eclipse.core.runtime.IPath[], org.eclipse.core.runtime.IProgressMonitor)`